Bug 50821 - Crashes when editing GRUB boot menu
Crashes when editing GRUB boot menu
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 13:16 EDT by Need Real Name
Modified: 2007-03-26 23:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 15:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda's output of the crash (7.74 KB, text/plain)
2001-08-03 13:18 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-08-03 13:16:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I had to partitions on hda. First one runs Windows 2000. Second one I 
planned to use Linux on. I started the install and chose GRUB as my boot 
loader. On the menu where I can see Linux as default entry in the bott 
menu I also see my NT partition. Its label is None. When I higlight it and 
select Edit, Anaconda crashes

How reproducible:
Always

Steps to Reproduce:
1.Have W2K installed on active partition
2.Start Roswell installation
3.Choose EXT3
4.Choose GRUB and select MBR for the location
5.Try to edit the label of Windows 2000 partition
	

Actual Results:  Anaconda crashed.

Expected Results:  I should have been able to edit the boot loader entry's 
label.

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 608, in ?
    intf.run(id, dispatch, configFileData)
  File "/tmp/27249-i386/install//usr/lib/anaconda/text.py", line 370, in 
run
  File "/tmp/27249-
i386/install//usr/lib/anaconda/textw/bootloader_text.py", line 306, in 
__call__
  File "/tmp/27249-
i386/install//usr/lib/anaconda/textw/bootloader_text.py", line 194, in 
editItem
  File "/usr/lib/python1.5/snack.py", line 160, in __init__
TypeError: argument 2: expected string, None found

Local variables in innermost frame:
scroll: 1
password: 0
hidden: 0
text: None
self: <snack.Entry instance at 84107b0>
width: 20
returnExit: 1

ToDo object:
(iinstdata
InstallData
p1
(dp2
S'configFileData'
p3
(dp4
S'Splashscreen'
S'pixmaps/first.png'
sS'WelcomeScreen'
S'pixmaps/splash.png'
sS'TitleBar'
S'pixmaps/anaconda_header.png'
sS'Title'
S'Red Hat Linux Beta'
ssS'upgradeSwapInfo'
p5
NsS'langSupport'
p6
(ilanguage
Language
(dp7
S'langInfoByName'
p8
(dp9
S'Arabic (Yemen)'
p10
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p11
(S'es_AR'
S'iso01'
S'lat0-16'
tsS'Italian (Italy)'
p12
(S'it_IT@euro'
S'iso15'
S'lat0-16'
tsS'Arabic (Lebanon)'
p13
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p14
(S'es_GT'
S'iso01'
S'lat0-16'
tsS'Malay (Malaysia)'
p15
(S'ms_MY'
S'iso01'
S'lat0-16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p16
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p17
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p18
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Chinese (P.R. of China)'
p19
(S'zh_CN.GB2312'
S'iso01'
S'lat0-16'
tsS'English (South Africa)'
p20
(S'en_ZA'
S'iso01'
S'lat0-16'
tsS'French (Switzerland)'
p21
(S'fr_CH'
S'iso01'
S'lat0-16'
tsS'Arabic (Bahrein)'
p22
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p23
(S'hr_HR'
S'iso02'
S'lat2-16'
tsS'French (France)'
p24
(S'fr_FR@euro'
S'iso15'
S'lat0-16'
tsS'Greenlandic (Greenland)'
p25
(S'kl_GL'
S'iso01'
S'lat0-16'
tsS'Korean (Republic of Korea)'
p26
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p27
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p28
(S'es_MX'
S'iso01'
S'lat0-16'
tsS'Greek'
p29
(S'el_GR'
S'iso07'
S'iso07.16'
tsS'Spanish (El Salvador)'
p30
(S'es_SV'
S'iso01'
S'lat0-16'
tsS'Spanish (Peru)'
p31
(S'es_PE'
S'iso01'
S'lat0-16'
tsS'Spanish (Honduras)'
p32
(S'es_HN'
S'iso01'
S'lat0-16'
tsS'Spanish (Costa Rica)'
p33
(S'es_CR'
S'iso01'
S'lat0-16'
tsS'English (Denmark)'
p34
(S'en_DK'
S'iso01'
S'lat0-16'
tsS'Dutch (Netherlands)'
p35
(S'nl_NL@euro'
S'iso15'
S'lat0-16'
tsS'Serbian (Yugoslavia)'
p36
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p37
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p38
(S'pt_PT@euro'
S'iso15'
S'lat0-16'
tsS'Afrikaans (South Africa)'
p39
(S'af_ZA'
S'iso01'
S'lat0-16'
tsS'Norwegian'
p40
(S'no_NO'
S'iso01'
S'lat0-16'
tsS'Arabic (Morocco)'
p41
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p42
(S'en_PH'
S'iso01'
S'lat0-16'
tsS'Arabic (Algeria)'
p43
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p44
(S'id_ID'
S'iso01'
S'lat0-16'
tsS'Danish'
p45
(S'da_DK'
S'iso01'
S'lat0-16'
tsS'Chinese (Taiwan R.O.C.)'
p46
(S'zh_TW.Big5'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p47
(S'fo_FO'
S'iso01'
S'lat0-16'
tsS'Galician (Spain)'
p48
(S'gl_ES@euro'
S'iso15'
S'lat0-16'
tsS'English (New Zealand)'
p49
(S'en_NZ'
S'iso01'
S'lat0-16'
tsS'Spanish (Bolivia)'
p50
(S'es_BO'
S'iso01'
S'lat0-16'
tsS'Cornish (Britain)'
p51
(S'kw_GB'
S'iso01'
S'lat0-16'
tsS'Arabic (United Arab Emirates)'
p52
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p53
(S'de_AT@euro'
S'iso15'
S'lat0-16'
tsS'Romanian'
p54
(S'ro_RO'
S'iso02'
S'lat2-16'
tsS'Spanish (Paraguay)'
p55
(S'es_PY'
S'iso01'
S'lat0-16'
tsS'Hebrew (Israel)'
p56
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'German (Luxemburg)'
p57
(S'de_LU@euro'
S'iso15'
S'lat0-16'
tsS'Spanish (USA)'
p58
(S'es_US'
S'iso01'
S'lat0-16'
tsS'Portuguese (Brasil)'
p59
(S'pt_BR'
S'iso01'
S'lat0-16'
tsS'Spanish (Equador)'
p60
(S'es_EC'
S'iso01'
S'lat0-16'
tsS'Polish'
p61
(S'pl_PL'
S'iso02'
S'lat2-16'
tsS'Slovak'
p62
(S'sk_SK'
S'iso02'
S'lat2-16'
tsS'Macedonian'
p63
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p64
(S'es_ES@euro'
S'iso15'
S'lat0-16'
tsS'Spanish (Chile)'
p65
(S'es_CL'
S'iso01'
S'lat0-16'
tsS'Arabic (Syrian Arab Republic)'
p66
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p67
(S'cs_CZ'
S'iso02'
S'lat2-16'
tsS'Irish'
p68
(S'ga_IE@euro'
S'iso15'
S'lat0-16'
tsS'Arabic (Jordan)'
p69
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p70
(S'it_CH'
S'iso01'
S'lat0-16'
tsS'German (Belgium)'
p71
(S'de_BE@euro'
S'iso15'
S'lat0-16'
tsS'Albanian'
p72
(S'sq_AL'
S'iso01'
S'lat0-16'
tsS'Finnish'
p73
(S'fi_FI@euro'
S'iso15'
S'lat0-16'
tsS'Swedish (Sweden)'
p74
(S'sv_SE'
S'iso01'
S'lat0-16'
tsS'English (Singapore)'
p75
(S'en_SG'
S'iso01'
S'lat0-16'
tsS'Dutch (Belgium)'
p76
(S'nl_BE@euro'
S'iso15'
S'lat0-16'
tsS'Spanish (Panama)'
p77
(S'es_PA'
S'iso01'
S'lat0-16'
tsS'Spanish (Venezuela)'
p78
(S'es_VE'
S'iso01'
S'lat0-16'
tsS'English (Great Britain)'
p79
(S'en_GB'
S'iso01'
S'lat0-16'
tsS'Russian'
p80
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p81
(S'nn_NO'
S'iso01'
S'lat0-16'
tsS'English (Zimbabwe)'
p82
(S'en_ZW'
S'iso01'
S'lat0-16'
tsS'English (USA)'
p83
(S'en_US'
S'iso01'
S'lat0-16'
tsS'Spanish (Nicaragua)'
p84
(S'es_NI'
S'iso01'
S'lat0-16'
tsS'Arabic (Kuwait)'
p85
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Colombia)'
p86
(S'es_CO'
S'iso01'
S'lat0-16'
tsS'Basque (Spain)'
p87
(S'eu_ES@euro'
S'iso15'
S'lat0-16'
tsS'Arabic (Qatar)'
p88
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p89
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p90
(S'fr_BE@euro'
S'iso15'
S'lat0-16'
tsS'English (Ireland)'
p91
(S'en_IE@euro'
S'iso15'
S'lat0-16'
tsS'Hungarian'
p92
(S'hu_HU'
S'iso02'
S'lat2-16'
tsS'Arabic (Tunisia)'
p93
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p94
(S'fr_LU@euro'
S'iso15'
S'lat0-16'
tsS'Japanese'
p95
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p96
(S'sv_FI@euro'
S'iso15'
S'lat0-16'
tsS'Arabic (Saudi Arabia)'
p97
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p98
(S'es_DO'
S'iso01'
S'lat0-16'
tsS'French (Canada)'
p99
(S'fr_CA'
S'iso01'
S'lat0-16'
tsS'English (Canada)'
p100
(S'en_CA'
S'iso01'
S'lat0-16'
tsS'German (Germany)'
p101
(S'de_DE@euro'
S'iso15'
S'lat0-16'
tsS'Slovenian (Slovenia)'
p102
(S'sl_SI'
S'iso02'
S'lat2-16'
tsS'Spanish (Uruguay)'
p103
(S'es_UY'
S'iso01'
S'lat0-16'
tsS'German (Switzerland)'
p104
(S'de_CH'
S'iso01'
S'lat0-16'
tsS'English (Hong Kong)'
p105
(S'en_HK'
S'iso01'
S'lat0-16'
tsS'English (Australia)'
p106
(S'en_AU'
S'iso01'
S'lat0-16'
tsS'Catalan (Spain)'
p107
(S'ca_ES@euro'
S'iso15'
S'lat0-16'
tsS'Spanish (Puerto Rico)'
p108
(S'es_PR'
S'iso01'
S'lat0-16'
tsS'Turkish'
p109
(S'tr_TR'
S'iso09'
S'lat5-16'
tsS'Estonian'
p110
(S'et_EE'
S'iso01'
S'lat0-16'
tsS'Arabic (Sudan)'
p111
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p112
(S'is_IS'
S'iso01'
S'lat0-16'
tsS'English (Botswana)'
p113
(S'en_BW'
S'iso01'
S'lat0-16'
tsS'Manx Gaelic (Britain)'
p114
(S'gv_GB'
S'iso01'
S'lat0-16'
tssS'allSupportedLangs'
p115
(lp116
g39
ag72
ag43
ag22
ag89
ag18
ag69
ag85
ag13
ag16
ag41
ag17
ag88
ag97
ag111
ag66
ag93
ag52
ag10
ag87
ag107
ag19
ag46
ag51
ag23
ag67
ag45
ag76
ag35
ag106
ag113
ag100
ag34
ag79
ag105
ag91
ag49
ag42
ag75
ag20
ag83
ag82
ag110
ag47
ag73
ag90
ag99
ag24
ag94
ag21
ag48
ag53
ag71
ag101
ag57
ag104
ag29
ag25
ag56
ag92
ag112
ag44
ag68
ag12
ag70
ag95
ag26
ag63
ag15
ag114
ag40
ag81
ag61
ag59
ag38
ag54
ag80
ag37
ag36
ag62
ag102
ag11
ag50
ag65
ag86
ag33
ag98
ag30
ag60
ag14
ag32
ag28
ag84
ag77
ag55
ag31
ag108
ag64
ag58
ag103
ag78
ag96
ag74
ag109
ag27
asS'info'
p117
(dp118
S'SUPPORTED'
p119
NssS'supported'
p120
(lsS'default'
p121
NsbsS'rootPassword'
p122
NsS'diskset'
p123
(ipartitioning
DiskSet
p124
(dp125
S'disks'
p126
(dp127
S'hda'

<failed>
Comment 1 Need Real Name 2001-08-03 13:18:00 EDT
Created attachment 26111 [details]
Anaconda's output of the crash
Comment 2 Need Real Name 2001-08-03 13:45:01 EDT
I am installin using FTP (text). Under Boot Loader Configuration, I see 2 
entries in the GRUB boot loader menu. /dev/hda1 is of type OS/2/Windows NT and 
its label is NONE. /dev/hda2 is EXT3 adn its label is Red Hat Linux. If I try 
to edit the label of Linux Entry, it work fine. If I try to edit W2K entry , 
Anaconda crashes.
If I choose LILO instead of GRUB, it works fine.
Also, if I use NFS image to install (graphical), it work fine.
Comment 3 Michael Fulbright 2001-08-03 15:11:33 EDT
Brent please try to reproduce with your test system.
Comment 4 Brent Fox 2001-08-03 15:55:13 EDT
I think that msf added some code to fix this after Beta 3 was cut.  Are you
using NTFS partitions on your Win2K setup?
Comment 5 Need Real Name 2001-08-03 15:57:57 EDT
I am using Windows 2000 Advanced Server, retail version with NTFS 5.0 
partitions.
Comment 6 Brent Fox 2001-08-06 12:50:18 EDT
This works on my test machine with the latest internal trees.  Thanks for your
report.

Note You need to log in before you can comment on or make changes to this bug.